# Get agent setup status

Fetches agent setup status.

```http
GET https://api.pozy.ai/v1/accounts/{accountId}/business-agent
```

- Area: WhatsApp / Business Agent
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `accountId` (string, required)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/business-agent" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/business-agent", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/business-agent",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `eligible`, boolean, required: Can be null
- `termsAccepted`, boolean, required
- `onboarded`, boolean, required
- `enabled`, boolean, required
- `agentId`, string, required: Can be null
- `settings`, object, required
  - one of: Business Agent Settings
    - `agent_id`, string, required
    - `channel`, string, required
    - `rollout`, object, required
      - `enabled`, boolean, required
    - `handoff`, object: Can be null
      - `enabled`, boolean
      - `message`, string
      - `message_selection`, string: One of `DEFAULT`, `AGENT`, `CUSTOM`
    - `followup`, object: Can be null
      - `enabled`, boolean
      - `followup_interval_in_seconds`, integer: One of `0`, `300`, `900`, `1800`, `3600`, `7200`, `28800`, `86400`
      - `message`, string
    - `ai_audience`, string: One of `EVERYONE`, `ALLOWLISTED_ONLY`. Can be null
    - `never_say_phrases`, array of string
- `manualSteps`, array of object, required
  - `step`, string, required: One of `accept_terms`
  - `url`, string (URL), required
  - `description`, string, required
- `unverifiedSteps`, array of object, required
  - `step`, string, required: One of `attach_payment_method`
  - `url`, string (URL), required
  - `description`, string, required

```json
{
  "eligible": true,
  "termsAccepted": true,
  "onboarded": true,
  "enabled": true,
  "agentId": "6b99fbd950277956c14bd44d",
  "settings": {
    "agent_id": "61107e42d7605e217d408f43",
    "channel": "string",
    "rollout": {
      "enabled": true
    },
    "handoff": {
      "enabled": true,
      "message": "Hello from Pozy",
      "message_selection": "DEFAULT"
    },
    "followup": {
      "enabled": true,
      "followup_interval_in_seconds": 0,
      "message": "Hello from Pozy"
    },
    "ai_audience": "EVERYONE",
    "never_say_phrases": [
      "string"
    ]
  },
  "manualSteps": [
    {
      "step": "accept_terms",
      "url": "https://pozy.ai/media/example-1.jpg",
      "description": "A short description"
    }
  ],
  "unverifiedSteps": [
    {
      "step": "attach_payment_method",
      "url": "https://pozy.ai/media/example-1.jpg",
      "description": "A short description"
    }
  ]
}
```
